Mono.Simd 2.0.0.0 System.ValueType A vector with four floating point values. This represents a vector that contains 4 single precision floating point values.
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  2.0.0.0
  X component.
  Y component.
  Z component.
  W component.
  Creates a vector with four float values.
- Property
  2.0.0.0
  System.Single `` The index of the component. Gets/Sets the component's value. To be added. To be added.
- Property
  2.0.0.0
  Mono.Simd.Vector4f To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` Vector to operate on. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector4f `` Vector to operate on. To be added. To be added. To be added.
- Property
  2.0.0.0
  Mono.Simd.Vector4f To be added. To be added. To be added.
- Property
  2.0.0.0
  Mono.Simd.Vector4f To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` `` First vector. To be added. First vector. Computes the sum of two vectors. A new vector. The vector returned is the sum of the individual components in the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` `` First vector. To be added. First vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` `` First vector. To be added. First vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` `` First vector. To be added. First vector. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` `` First vector. To be added. First vector. Computes the bitwise xor of two vectors. A new vector. The vector returned contains the result of doing a bitwise xor operation on the individual components of the two vectors. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16b `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector16sb `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2d `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2l `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector2ul `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4i `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector4ui `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8s `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  Mono.Simd.Vector8us `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` `` First vector. To be added. First vector. To be added. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Vector4f `` `` First vector. To be added. First vector. Substracts the values from the second vector from the first. A new vector. The vector elements contain the substraction of the elements in the second vector from the elements in the first vector. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Property
  2.0.0.0
  Mono.Simd.Vector4f To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added. Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.CLSCompliant(false)
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added.
- Method
  2.0.0.0
  System.String To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Single The W component.
- Property
  2.0.0.0
  System.Single The X component.
- Property
  2.0.0.0
  System.Single The Y component.
- Property
  2.0.0.0
  System.Single The Z component.
- Property
  2.0.0.0
  Mono.Simd.Vector4f To be added. To be added. To be added.